- updated to 1.6.0 from gstreamer site auto/th/gstreamer-vaapi-1.6.0-1
authorJakub Bogusz <qboosh@pld-linux.org>
Sun, 21 Feb 2016 15:14:06 +0000 (16:14 +0100)
committerJakub Bogusz <qboosh@pld-linux.org>
Sun, 21 Feb 2016 15:14:06 +0000 (16:14 +0100)
- libraries are internal now, API is not exported

gstreamer-vaapi.spec

index 4dc3da67f96ad08aa76248135237a256e001f045..98e65e64dd30e617ff146d621a1b568c3200f865 100644 (file)
@@ -1,27 +1,31 @@
 #
 # Conditional build:
 %bcond_without static_libs     # static libraries
+%bcond_with    api             # GST VA-API libraries API [no longer exported as of 1.6.0]
 #
 %define                gstapi  1.6
+%define                gst_ver         1.6.3
+%define                gstpb_ver       1.6.3
+%define                gstpd_ver       1.6.3
 Summary:       GStreamer plugin to support Video Acceleration API
 Summary(pl.UTF-8):     Wtyczka GStreamera obsługująca Video Acceleration API
 Name:          gstreamer-vaapi
-Version:       0.7.0
+Version:       1.6.0
 Release:       1
 License:       LGPL v2.1+
 Group:         Libraries
-Source0:       http://www.freedesktop.org/software/vaapi/releases/gstreamer-vaapi/%{name}-%{version}.tar.bz2
-# Source0-md5: ce2d4921b8d9c78edd609d95e8c502d3
+Source0:       https://gstreamer.freedesktop.org/src/gstreamer-vaapi/%{name}-%{version}.tar.xz
+# Source0-md5: 68ea4014d79b41d01de00aa83b8df49c
 URL:           http://www.freedesktop.org/wiki/Software/vaapi/
 BuildRequires: Mesa-libEGL-devel
 BuildRequires: Mesa-libGL-devel
 BuildRequires: Mesa-libGLES-devel
-BuildRequires: autoconf >= 2.66
-BuildRequires: automake >= 1:1.11
+BuildRequires: autoconf >= 2.69
+BuildRequires: automake >= 1:1.14
 BuildRequires: glib2-devel >= 1:2.32.0
-BuildRequires: gstreamer-devel >= 1.6.0
-BuildRequires: gstreamer-plugins-bad-devel >= 1.6.0
-BuildRequires: gstreamer-plugins-base-devel >= 1.6.0
+BuildRequires: gstreamer-devel >= %{gst_ver}
+BuildRequires: gstreamer-plugins-bad-devel >= %{gstpd_ver}
+BuildRequires: gstreamer-plugins-base-devel >= %{gstpb_ver}
 BuildRequires: gtk-doc >= 1.12
 BuildRequires: libdrm-devel
 BuildRequires: libtool >= 2:2.2
@@ -37,18 +41,24 @@ BuildRequires:      pkgconfig(libva-wayland) >= 0.33.0
 BuildRequires: pkgconfig(libva-x11) >= 0.31.0
 BuildRequires: udev-devel
 BuildRequires: wayland-devel >= 1.0.2
+BuildRequires: tar >= 1:1.22
 BuildRequires: xorg-lib-libX11-devel
 BuildRequires: xorg-lib-libXrandr-devel
 BuildRequires: xorg-lib-libXrender-devel
+BuildRequires: xz
 %ifarch %{ix86} %{x8664} x32
 BuildRequires: yasm
 %endif
 Requires:      glib2 >= 1:2.32.0
-Requires:      gstreamer >= 1.6.0
-Requires:      gstreamer-plugins-bad >= 1.6.0
-Requires:      gstreamer-plugins-base >= 1.6.0
+Requires:      gstreamer >= %{gst_ver}
+Requires:      gstreamer-plugins-bad >= %{gstpd_ver}
+Requires:      gstreamer-plugins-base >= %{gstpb_ver}
 Requires:      libva >= 1.6.0
 Requires:      wayland >= 1.0.0
+%if %{without api}
+Obsoletes:     %{name}-devel < %{version}
+Obsoletes:     %{name}-static < %{version}
+%endif
 BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
 
 %description
@@ -64,8 +74,8 @@ Summary:      Header files for GStreamer VA-API libraries
 Summary(pl.UTF-8):     Pliki nagłówkowe bibliotek VA-API GStreamera
 Group:         Development/Libraries
 Requires:      %{name} = %{version}-%{release}
-Requires:      gstreamer-devel >= 1.6.0
-Requires:      gstreamer-plugins-base-devel >= 1.6.0
+Requires:      gstreamer-devel >= %{gst_ver}
+Requires:      gstreamer-plugins-base-devel >= %{gstpb_ver}
 Requires:      libva-devel >= 1.6.0
 Requires:      libva-drm-devel >= 1.1.0
 Requires:      libva-wayland-devel >= 1.1.0
@@ -89,47 +99,58 @@ Static GStreamer VA-API libraries.
 %description static -l pl.UTF-8
 Statyczne biblioteki VA-API GStreamera.
 
+%package apidocs
+Summary:       GStreamer VA-API plugins documentation
+Summary(pl.UTF-8):     Dokumentacja do wtyczek GStreamera VA-API
+Group:         Documentation
+
+%description apidocs
+GStreamer VA-API plugins documentation.
+
+%description apidocs -l pl.UTF-8
+Dokumentacja do wtyczek GStreamera VA-API.
+
 %prep
 %setup -q
 
 %build
 %{__libtoolize}
-%{__aclocal}
+%{__aclocal} -I m4 -I common/m4
 %{__autoconf}
 %{__autoheader}
 %{__automake}
 %configure \
-       --disable-builtin-codecparsers \
        --disable-silent-rules \
-       %{!?with_static_libs:--disable-static}
+       %{!?with_static_libs:--disable-static} \
+       --with-html-dir=%{_gtkdocdir}
 
-%{__make} V=1 \
-       HAVE_GNU_STRIP=no \
-       CC="%{__cc}" \
-       LD="%{__cc}" \
-       LDFLAGS="%{rpmldflags}"
+%{__make}
 
 %install
 rm -rf $RPM_BUILD_ROOT
 
-# race: gstvaapitexture.h is installed by more than one install target
-%{__make} -j1 install \
+%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT
 
 # gstreamer module
 %{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgst*.la
+%if %{with api}
 # obsoleted by pkg-config
 %{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la
+%endif
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
+%if %{with api}
 %post  -p /sbin/ldconfig
 %postun        -p /sbin/ldconfig
+%endif
 
 %files
 %defattr(644,root,root,755)
 %doc AUTHORS NEWS README
+%if %{with api}
 %attr(755,root,root) %{_libdir}/libgstcodecparsers_vpx.so.*.*.*
 %attr(755,root,root) %ghost %{_libdir}/libgstcodecparsers_vpx.so.0
 %attr(755,root,root) %{_libdir}/libgstvaapi-%{gstapi}.so.*.*.*
@@ -144,9 +165,10 @@ rm -rf $RPM_BUILD_ROOT
 %attr(755,root,root) %ghost %{_libdir}/libgstvaapi-wayland-%{gstapi}.so.1
 %attr(755,root,root) %{_libdir}/libgstvaapi-x11-%{gstapi}.so.*.*.*
 %attr(755,root,root) %ghost %{_libdir}/libgstvaapi-x11-%{gstapi}.so.1
+%endif
 %attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstvaapi.so
-%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstvaapi_parse.so
 
+%if %{with api}
 %files devel
 %defattr(644,root,root,755)
 %attr(755,root,root) %{_libdir}/libgstcodecparsers_vpx.so
@@ -174,3 +196,8 @@ rm -rf $RPM_BUILD_ROOT
 %{_libdir}/libgstvaapi-wayland-%{gstapi}.a
 %{_libdir}/libgstvaapi-x11-%{gstapi}.a
 %endif
+%endif
+
+%files apidocs
+%defattr(644,root,root,755)
+%{_gtkdocdir}/gstreamer-vaapi-plugins-1.0
This page took 0.366593 seconds and 4 git commands to generate.